> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/personendaten-aendern/kontaktwege-aendern.md).

# Kontaktwege ändern

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

<details>

<summary>Hinweise zur Funktion</summary>

Eine Person kann über mehrere Kommunikationswege verfügen. Wenn Sie einen neuen Kommunikationsweg erfassen, wird der alte Kommunikationsweg hierdurch nicht automatisch ungültig.

Im Gegensatz zu Adressen können die Kontaktwege nicht mit einem Ablaufdatum versehen werden. Wenn ein Kontaktweg nicht länger verwendet werden darf, muss dieser entweder gelöscht werden, oder eine dazugehörige Anschrift muss über das Ablaufdatum für ungültig erklärt werden.

Bitte beachten Sie, dass ein Kontaktweg selbst bei einer ungültigen Anschrift noch angezeigt wird. Betrachten Sie einen Kontaktweg mit einer zugeordneten Anschrift deshalb immer im Kontext der Gültigkeit der zugeordneten Anschrift.  &#x20;

</details>

## Neue Kommunikationswege erfassen

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications" method="post" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Bestehende Kommunikationswege ändern

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId}" method="put" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Bestehende Kommunikationswege löschen

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId}" method="delete" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}" method="delete" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Kommunikationsweg auf "Standard" setzen

#### Version 1.2

***

## POST /openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}/SetStandard

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}}},"paths":{"/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}/SetStandard":{"post":{"tags":["OpenWowi PersonsWrite"],"operationId":"PersonsWrite_SetStandardCommunication","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"childId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32"}},"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/personendaten-aendern/kontaktwege-aendern.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
